Bug 1600427 - Guest can not get correct value of global_period when set schedinfo with --config
Summary: Guest can not get correct value of global_period when set schedinfo with --co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Katerina Koukiou
QA Contact: yisun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 08:31 UTC by Meina Li
Modified: 2018-10-30 09:59 UTC (History)
7 users (show)

Fixed In Version: libvirt-4.5.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 09:58:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3113 None None None 2018-10-30 09:59:15 UTC

Description Meina Li 2018-07-12 08:31:22 UTC
Description of problem:
Libvirt can not get correct value of global_period when set schedinfo with --config

Version-Release number of selected component (if applicable):
libvirt-4.5.0-2.el7.x86_64
kernel-3.10.0-919.el7.x86_64
qemu-kvm-rhev-2.12.0-7.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a running VM, then running the following command.
# virsh schedinfo rhel7
Scheduler      : posix
cpu_shares     : 1024
vcpu_period    : 100000
vcpu_quota     : -1
emulator_period: 100000
emulator_quota : -1
global_period  : 100000
global_quota   : -1
iothread_period: 100000
iothread_quota : -1

# virsh schedinfo rhel7 --set global_period=9999 --set global_quota=8888 --config
Scheduler      : posix
cpu_shares     : 0
vcpu_period    : 9999
vcpu_quota     : 0
emulator_period: 0
emulator_quota : 0
global_period  : 0
global_quota   : 8888
iothread_period: 0
iothread_quota : 0

2.Restart VM.
# virsh destroy rhel7;virsh start rhel7

3.Check schedinfo.
# virsh schedinfo rhel7
Scheduler      : posix
cpu_shares     : 1024
vcpu_period    : 9999
vcpu_quota     : -1
emulator_period: 100000
emulator_quota : -1
global_period  : 100000
global_quota   : 8888
iothread_period: 100000
iothread_quota : 8888


Actual results:
In step 1, it can not get correct value of global_period and set the value to vcpu_period.

Expected results:
can get correct value of global_period when set schedinfo with --config

Additional info:
libvirt.org web don't include the related information of global_period and global_quota.

Comment 2 Katerina Koukiou 2018-07-16 13:35:54 UTC
v4.5.0-151-g74b5634b77

commit 74b5634b77b388a454303a2be0b4d704e261305f
Author: Katerina Koukiou <kkoukiou@redhat.com>
Commit: Ján Tomko <jtomko@redhat.com>

    qemu: Fix setting global_period cputune element

Comment 5 yisun 2018-08-17 09:32:03 UTC
Verified on: libvirt-4.5.0-6.el7.x86_64

# virsh schedinfo vm1
Scheduler      : posix
cpu_shares     : 1024
vcpu_period    : 100000
vcpu_quota     : -1
emulator_period: 100000
emulator_quota : -1
global_period  : 100000
global_quota   : -1
iothread_period: 100000
iothread_quota : -1


# virsh schedinfo vm1 --set global_period=9999 --set global_quota=8888 --config
Scheduler      : posix
cpu_shares     : 0
vcpu_period    : 0
vcpu_quota     : 0
emulator_period: 0
emulator_quota : 0
global_period  : 9999
global_quota   : 8888
iothread_period: 0
iothread_quota : 0


# virsh destroy vm1
vDomain vm1 destroyed

# virsh start vm1
Domain vm1 started

# virsh schedinfo vm1
Scheduler      : posix
cpu_shares     : 1024
vcpu_period    : 100000
vcpu_quota     : -1
emulator_period: 100000
emulator_quota : -1
global_period  : 9999  <==== correctly set to global_period but not vcpu_period
global_quota   : 8888
iothread_period: 9999
iothread_quota : 8888

Comment 7 errata-xmlrpc 2018-10-30 09:58:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3113


Note You need to log in before you can comment on or make changes to this bug.